#ifndef MATH_2D

#define MATH_2D

#include <math.h>

inline double NO_VALUE()		{	return -999999.0f; }



// ****
//		Some Generic data structures for maths
// ****

// generic 2d point
typedef struct SPOINT2D
{
	double m_xPos,m_yPos;

	SPOINT2D( double m_x, double m_y )
	{
		m_xPos = m_x; m_yPos = m_y;
	}

	SPOINT2D()
	{
	}

	bool operator<( const struct SPOINT2D& LHS ) const
	{
		return ((m_yPos<LHS.m_yPos) || ((m_yPos==LHS.m_yPos) && (m_xPos<LHS.m_xPos)));
	}

	bool operator==( const struct SPOINT2D& LHS ) const
	{
		return ((m_xPos==LHS.m_xPos) && (m_yPos==LHS.m_yPos));
	}

} POINT2D, *LPPOINT2D;

inline bool NO_VALUE(POINT2D p_p)		{	return (p_p.m_xPos==NO_VALUE()); }

#endif